Last Comment Bug 770330 - Allow import module to compile with external linkage
: Allow import module to compile with external linkage
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Import (show other bugs)
: Trunk
: x86 Windows XP
: -- normal (vote)
: Thunderbird 16.0
Assigned To: neil@parkwaycc.co.uk
:
:
Mentors:
Depends on:
Blocks: 731877
  Show dependency treegraph
 
Reported: 2012-07-02 14:03 PDT by neil@parkwaycc.co.uk
Modified: 2012-09-26 03:55 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Proposed patch (2.30 KB, patch)
2012-07-02 14:06 PDT, neil@parkwaycc.co.uk
mozilla: review+
Details | Diff | Splinter Review

Description neil@parkwaycc.co.uk 2012-07-02 14:03:17 PDT
The patch for bug 731877 does not compile with external linkage. In particular there is no operator+ on strings, for which the changes are not trivial so I thought it was worth filing a separate bug. There is also a missing include.
Comment 1 neil@parkwaycc.co.uk 2012-07-02 14:06:14 PDT
Created attachment 638492 [details] [diff] [review]
Proposed patch
Comment 2 neil@parkwaycc.co.uk 2012-07-06 12:27:52 PDT
Pushed comm-central changeset 2558d6c7f324.

Note You need to log in before you can comment on or make changes to this bug.